Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057512 - Affinity groups: select box should explicitly allow typing for managing big amounts of VMs
Summary: Affinity groups: select box should explicitly allow typing for managing big a...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ovirt-4.0.0-alpha
: ---
Assignee: Doron Fediuck
QA Contact: bugs@ovirt.org
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 09:20 UTC by Antoni Segura Puimedon
Modified: 2016-03-21 12:03 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-21 12:03:20 UTC
oVirt Team: SLA
dfediuck: ovirt-4.0.0?
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)

Description Antoni Segura Puimedon 2014-01-24 09:20:16 UTC
Description of problem:
In the new Affinity Group dialog one can use a select box to find VMs to set affinity with. However, that list could potentially hold thousands of VMs making the task of finding the one you look for, arduous.

An alternative would be to have a field for typing and getting suggestions like:
http://dev.opera.com/articles/view/an-html5-style-google-suggest/


Version-Release number of selected component (if applicable):


How reproducible: 100 %


Steps to Reproduce:
1. Go to a VM's Affinity group subtab
2. Click New

Actual results:
You can use a select box to pick VM


Expected results:
Some way in which browing through hundreds or thousands of VMs was faster and more effective.

Additional info:

Comment 1 Itamar Heim 2014-01-26 08:11:08 UTC
Setting target release to current version for consideration and review. please
do not push non-RFE bugs to an undefined target release to make sure bugs are
reviewed for relevancy, fix, closure, etc.

Comment 2 Sandro Bonazzola 2014-03-04 09:27:36 UTC
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.

Comment 3 Sandro Bonazzola 2014-05-08 13:55:45 UTC
This is an automated message.

oVirt 3.4.1 has been released.
This issue has been retargeted to 3.5.0 since it has not been marked as high priority or severity issue, please retarget if needed.

Comment 6 Sandro Bonazzola 2015-09-04 09:00:38 UTC
This is an automated message.
This Bugzilla report has been opened on a version which is not maintained anymore.
Please check if this bug is still relevant in oVirt 3.5.4.
If it's not relevant anymore, please close it (you may use EOL or CURRENT RELEASE resolution)
If it's an RFE please update the version to 4.0 if still relevant.

Comment 7 Red Hat Bugzilla Rules Engine 2015-10-19 10:49:20 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.


Note You need to log in before you can comment on or make changes to this bug.